function G2 = Gamma2(b0, eps0, psi0, Par)

Par.psi0 = psi0;

opt = odeset('reltol',1e-12,'abstol',1e-12,'events',@hch_level_evnt);

[t, b] = ode45(@b_dot, [0, 20], b0, opt, eps0, Par);
    
level_flg = hch_level_evnt(t(end), b(end), eps0, Par);

if level_flg(1) >= 0    %if level W1 crossed
    G2 = t(end);
else
    G2 = -1;        
end

function [value,isterminal,direction] = hch_level_evnt(t, b, eps0, Par)

psi0 = Par.psi0;
A = Par.A;
alpha_A = Par.alpha_A;
beta = Par.beta;
nu = Par.nu;
V0 = Par.V0;
c = Par.c;
c3 = Par.c3;
pbar = Par.pbar;

num = norm(expm(A*t), Inf) * exp(beta*t/2) * psi0 ...
      + ( nu / ( c*alpha_A*sqrt(V0) ) ) * ( exp(alpha_A*t) - 1 );

hch_bar = num / rho(b, c3);

value = max( hch_bar - 2^pbar, b - 1 );
isterminal = 1;   %Stop the integration
direction = 1;    %Increasing directions, (as initially the error is zero)