function G2_unif = Gamma2_uniform(phi0, level, Par)

Par.phi0 = phi0;
Par.level = level;

G1 = Par.G1;
T = Par.T;

Tmax = min(G1, T);

opt = odeset('reltol',1e-12,'abstol',1e-12,'events',@phi_level_evnt);

[t, b] = ode45(@b_dot, [0, Tmax], 1, opt, 1, Par);
    
level_flg = phi_level_evnt(t(end), b(end), 1, Par);

G2_unif = min( [G1, T, t(end)] );

function [value,isterminal,direction] = phi_level_evnt(t, b, eps0, Par)

phi0 = Par.phi0;
level = Par.level;

A = Par.A;
W = Par.W;
alpha_A = Par.alpha_A;
beta = Par.beta;
theta = Par.theta;
nu = Par.nu;
V0 = Par.V0;
c = Par.c;
c1 = Par.c1;
c2 = Par.c2;
c3 = Par.c3;

phi1 = phi0 + phi0*rho(0, c3)*c3*( ( W/theta )*rho(0, c3)* ...
       ( exp(theta*t) - 1 ) + (c2 / alpha_A)*( exp(alpha_A*t) - 1) + ...
       (c1 -c2)*t );

phi2 = nu * ( exp(alpha_A*t) - 1) / ( c*alpha_A*rho(b, c3)*sqrt(V0) );

phi = norm( expm(A*t), Inf )*exp(beta*t/2)*phi1 + phi2;

value = phi - level;
isterminal = 1;   %Stop the integration
direction = 1;    %Increasing directions, (as initially the error is zero)