%%
%tx_max_bits_upto_sample = 0;
[ TH,X,TJ,XJ,OP ] = non_inst_comm(20, 0);

TJ_std = TJ;
XJ_std = XJ;

n = OP.n;

figure; h1 = gcf();
plot(TH(:,1),OP.V,'b',TH(:,1),OP.Vd,'b--','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
legend('$V$', '$V_d$');
set(legend(), 'interpreter','latex','fontsize', 20)

%%
%tx_max_bits_upto_sample = 4;
[ TH,X,TJ,XJ,OP ] = non_inst_comm(20, 4);

%%
%
figure; h2 = gcf();
plot(TH(:,1),OP.V,'b',TH(:,1),OP.Vd,'b--','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
legend('$V$', '$V_d$');
set(legend(), 'interpreter','latex','fontsize', 20)

figure; h3 = gcf();
stem(TJ{1},n*[XJ{1}(:,2*n+4)],'bo','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
ylabel('# bits transmitted','fontsize',20);

figure(h3)
saveas(gcf,'./fig_plots/sim2_bit_profile','fig');
set(gcf,'PaperPosition',[2.5 4 5.2 3.9]);
print -depsc ./plots/sim2_bit_profile

pause
close(h1)
close(h2)
close(h3)

figure; h4 = gcf();
plot(TJ_std{1},n*cumsum([XJ_std{1}(:,2*n+4)]),'b','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
ylabel('Total # bits transmitted','fontsize',20);
hold on
plot(TJ{1},n*cumsum([XJ{1}(:,2*n+4)]),'b--','linewidth',2)
legend('Sim1', 'Sim2');
set(legend(), 'interpreter','latex','fontsize', 20)

pause

figure(h4)
saveas(gcf,'./fig_plots/bit_rate_compare_non_inst','fig');
set(gcf,'PaperPosition',[2.5 4 5.2 3.9]);
print -depsc ./plots/bit_rate_compare_non_inst
close