%%
%pbar = 12
[ TH,X,TJ,XJ,OP ] = inst_comm(12);

n = OP.n;

figure; h1 = gcf();
plot(TH(:,1),OP.V,'b',TH(:,1),OP.Vd,'b--','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
legend('$V$', '$V_d$');
set(legend(), 'interpreter','latex','fontsize', 20)

figure(); h4 = gcf();
plot(TJ{1},n*cumsum([XJ{1}(:,2*n+4)]),'b','linewidth',2)
hold on

%%
%pbar = 20
[ TH,X,TJ,XJ,OP ] = inst_comm(20);

figure; h2 = gcf();
plot(TH(:,1),OP.V,'b',TH(:,1),OP.Vd,'b--','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
legend('$V$', '$V_d$');
set(legend(), 'interpreter','latex','fontsize', 20)

figure(h4);
plot(TJ{1},n*cumsum([XJ{1}(:,2*n+4)]),'b--','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
ylabel('Total # bits transmitted','fontsize',20);
plot(TJ{1},OP.y,'b-.','linewidth',2)
plot(TJ{1},OP.z,'b:','linewidth',3)
legend('$\bar{p} = 12$', '$\bar{p} = 20$', 'Suff. data', 'Necc. data');
set(legend(), 'interpreter','latex','fontsize', 20)

figure; h5 = gcf();
stem(TJ{1},n*[XJ{1}(:,2*n+4)],'bo','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
ylabel('# bits transmitted','fontsize',20);

%%
%
%save plots
figure(h1)
saveas(gcf,'./fig_plots/pbar_12_V','fig');
set(gcf,'PaperPosition',[2.5 4 5.2 3.9]);
print -depsc ./plots/pbar_12_V
close

figure(h2)
saveas(gcf,'./fig_plots/pbar_20_V','fig');
set(gcf,'PaperPosition',[2.5 4 5.2 3.9]);
print -depsc ./plots/pbar_20_V
close

figure(h5)
saveas(gcf,'./fig_plots/bit_profile','fig');
set(gcf,'PaperPosition',[2.5 4 5.2 3.9]);
print -depsc ./plots/bit_profile
close

pause

figure(h4)
saveas(gcf,'./fig_plots/bit_rate_compare','fig');
set(gcf,'PaperPosition',[2.5 4 5.2 3.9]);
print -depsc ./plots/bit_rate_compare
close
%